"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const literals_1 = require("@angular-devkit/core/src/utils/literals");
const schematics_1 = require("@angular-devkit/schematics");
const workspace_1 = require("@nrwl/workspace");
const path = require("path");
function displayInformation() {
    return (host, context) => {
        const config = (0, workspace_1.readJsonInTree)(host, 'package.json');
        if (config.devDependencies && config.devDependencies['@nrwl/jest']) {
            context.logger.info((0, literals_1.stripIndents) `
      @testing-library/user-event is being upgraded two major versions. 

      View the release notes for information on breaking changes:

      11.0.0: https://github.com/testing-library/user-event/releases/tag/v11.0.0
      12.0.0: https://github.com/testing-library/user-event/releases/tag/v12.0.0
    `);
        }
    };
}
function update() {
    return (0, schematics_1.chain)([
        displayInformation(),
        (0, workspace_1.updatePackagesInPackageJson)(path.join(__dirname, '../../../', 'migrations.json'), '3.0.0'),
    ]);
}
exports.default = update;
//# sourceMappingURL=upgrade-testing-library-3-0-0.js.map